| Kinetis SDK Demo Applications User Guide 1.0.0-beta Freescale Semiconductor, Inc.

- Main Page
- Related Pages
- Demos

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Enumerations | Functions | Variables
i2c_slave_lowpower_wakeup.c File Reference
`#include "board.h"`
`#include "fsl_i2c_slave_driver.h"`
`#include "fsl_device_registers.h"`
`#include "fsl_port_hal.h"`
`#include "fsl_debug_uart.h"`
`#include "fsl_clock_manager.h"`
`#include <string.h>`
`#include <math.h>`
`#include <stdio.h>`
`#include "fsl_gpio_hal.h"`
`#include "fsl_smc_manager.h"`
`#include "fsl_smc_hal.h"`
`#include "fsl_interrupt_manager.h"`
`#include "sw_timer.h"`

## Macros
#define | UPPER_VALUE_LIMIT
#define | LOWER_VALUE_LIMIT
#define | LPTMR_COMPARE_VALUE
#define | UPDATE_BOUNDARIES_TIME

## Enumerations
enum | _subaddress_index_e { Subaddress_Index_0, Subaddress_Index_1, Subaddress_Index_2, Subaddress_Index_3, Subaddress_Index_4, Subaddress_Index_5, Subaddress_Index_6, Subaddress_Index_7, Invalid_Subaddress_Index, Max_Subaddress_Index, Subaddress_Index_0, Subaddress_Index_1, Subaddress_Index_2, Subaddress_Index_3, Subaddress_Index_4, Subaddress_Index_5, Subaddress_Index_6, Subaddress_Index_7, Invalid_Subaddress_Index, Max_Subaddress_Index, Subaddress_Index_0, Subaddress_Index_1, Subaddress_Index_2, Subaddress_Index_3, Subaddress_Index_4, Subaddress_Index_5, Subaddress_Index_6, Subaddress_Index_7, Invalid_Subaddress_Index, Max_Subaddress_Index }

## Functions
void | LED_toggle_master (void)
void | LED_turnon_master (void)
void | LED_turnoff_master (void)
void | LED_toggle_slave (void)
void | LED_turnon_slave (void)
void | LED_turnoff_slave (void)
static i2c_status_t | data_sink (uint8_t sinkByte)
static i2c_status_t | data_source (uint8_t *sourceByte)
static void | on_error (i2c_status_t error)
void | delay (unsigned int delay_value)
void | main (void)

## Variables
uint8_t | u8SinkData
uint8_t | u8SourceData
uint8_t | u8SubaddressIndex
uint8_t | u8SlaveDataBuffer [Max_Subaddress_Index]

## Macro Definition Documentation

#define LOWER_VALUE_LIMIT

#define LPTMR_COMPARE_VALUE

#define UPDATE_BOUNDARIES_TIME

#define UPPER_VALUE_LIMIT

## Enumeration Type Documentation

enum _subaddress_index_e

Enumerator
Subaddress_Index_0 |
Subaddress_Index_1 |
Subaddress_Index_2 |
Subaddress_Index_3 |
Subaddress_Index_4 |
Subaddress_Index_5 |
Subaddress_Index_6 |
Subaddress_Index_7 |
Invalid_Subaddress_Index |
Max_Subaddress_Index |
Subaddress_Index_0 |
Subaddress_Index_1 |
Subaddress_Index_2 |
Subaddress_Index_3 |
Subaddress_Index_4 |
Subaddress_Index_5 |
Subaddress_Index_6 |
Subaddress_Index_7 |
Invalid_Subaddress_Index |
Max_Subaddress_Index |
Subaddress_Index_0 |
Subaddress_Index_1 |
Subaddress_Index_2 |
Subaddress_Index_3 |
Subaddress_Index_4 |
Subaddress_Index_5 |
Subaddress_Index_6 |
Subaddress_Index_7 |
Invalid_Subaddress_Index |
Max_Subaddress_Index |

## Function Documentation

static i2c_status_t data_sink | ( | uint8_t | sinkByte | ) |
| static

static i2c_status_t data_source | ( | uint8_t * | sourceByte | ) |
| static

void delay | ( | unsigned int | delay_value | ) |

void LED_toggle_master | ( | void |  | ) |

void LED_toggle_slave | ( | void |  | ) |

void LED_turnoff_master | ( | void |  | ) |

void LED_turnoff_slave | ( | void |  | ) |

void LED_turnon_master | ( | void |  | ) |

void LED_turnon_slave | ( | void |  | ) |

void main | ( | void |  | ) |

static void on_error | ( | i2c_status_t | error | ) |
| static

## Variable Documentation

uint8_t u8SinkData

uint8_t u8SlaveDataBuffer[Max_Subaddress_Index]

uint8_t u8SourceData

uint8_t u8SubaddressIndex